"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalculateRouteMatrixResponse = exports.CalculateRouteMatrixSummary = exports.RouteMatrixEntry = exports.RouteMatrixEntryError = exports.CalculateRouteMatrixRequest = exports.CalculateRouteResponse = exports.CalculateRouteSummary = exports.Leg = exports.Step = exports.LegGeometry = exports.CalculateRouteRequest = exports.CalculateRouteTruckModeOptions = exports.TruckWeight = exports.TruckDimensions = exports.CalculateRouteCarModeOptions = exports.BatchUpdateDevicePositionResponse = exports.BatchUpdateDevicePositionError = exports.BatchUpdateDevicePositionRequest = exports.BatchPutGeofenceResponse = exports.BatchPutGeofenceSuccess = exports.BatchPutGeofenceError = exports.BatchPutGeofenceRequest = exports.BatchPutGeofenceRequestEntry = exports.GeofenceGeometry = exports.BatchGetDevicePositionResponse = exports.BatchGetDevicePositionError = exports.DevicePosition = exports.BatchGetDevicePositionRequest = exports.BatchEvaluateGeofencesResponse = exports.BatchEvaluateGeofencesError = exports.BatchEvaluateGeofencesRequest = exports.DevicePositionUpdate = exports.PositionalAccuracy = exports.BatchDeleteGeofenceResponse = exports.BatchDeleteGeofenceError = exports.BatchDeleteGeofenceRequest = exports.BatchDeleteDevicePositionHistoryResponse = exports.BatchDeleteDevicePositionHistoryError = exports.BatchItemError = exports.BatchDeleteDevicePositionHistoryRequest = exports.ValidationException = exports.ValidationExceptionField = exports.ThrottlingException = exports.ServiceQuotaExceededException = exports.ResourceNotFoundException = exports.InternalServerException = exports.ConflictException = exports.AssociateTrackerConsumerResponse = exports.AssociateTrackerConsumerRequest = exports.AccessDeniedException = void 0;
exports.PutGeofenceResponse = exports.PutGeofenceRequest = exports.ListGeofencesResponse = exports.ListGeofenceResponseEntry = exports.ListGeofencesRequest = exports.ListGeofenceCollectionsResponse = exports.ListGeofenceCollectionsResponseEntry = exports.ListGeofenceCollectionsRequest = exports.GetGeofenceResponse = exports.GetGeofenceRequest = exports.UntagResourceResponse = exports.UntagResourceRequest = exports.TagResourceResponse = exports.TagResourceRequest = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.DisassociateTrackerConsumerResponse = exports.DisassociateTrackerConsumerRequest = exports.DescribeTrackerResponse = exports.DescribeTrackerRequest = exports.DescribeRouteCalculatorResponse = exports.DescribeRouteCalculatorRequest = exports.DescribePlaceIndexResponse = exports.DescribePlaceIndexRequest = exports.DescribeMapResponse = exports.DescribeMapRequest = exports.DescribeGeofenceCollectionResponse = exports.DescribeGeofenceCollectionRequest = exports.DeleteTrackerResponse = exports.DeleteTrackerRequest = exports.DeleteRouteCalculatorResponse = exports.DeleteRouteCalculatorRequest = exports.DeletePlaceIndexResponse = exports.DeletePlaceIndexRequest = exports.DeleteMapResponse = exports.DeleteMapRequest = exports.DeleteGeofenceCollectionResponse = exports.DeleteGeofenceCollectionRequest = exports.CreateTrackerResponse = exports.CreateTrackerRequest = exports.CreateRouteCalculatorResponse = exports.CreateRouteCalculatorRequest = exports.CreatePlaceIndexResponse = exports.CreatePlaceIndexRequest = exports.DataSourceConfiguration = exports.CreateMapResponse = exports.CreateMapRequest = exports.MapConfiguration = exports.CreateGeofenceCollectionResponse = exports.CreateGeofenceCollectionRequest = void 0;
exports.UpdatePlaceIndexResponse = exports.UpdatePlaceIndexRequest = exports.SearchPlaceIndexForTextResponse = exports.SearchPlaceIndexForTextSummary = exports.SearchForTextResult = exports.SearchPlaceIndexForTextRequest = exports.SearchPlaceIndexForSuggestionsResponse = exports.SearchPlaceIndexForSuggestionsSummary = exports.SearchForSuggestionsResult = exports.SearchPlaceIndexForSuggestionsRequest = exports.SearchPlaceIndexForPositionResponse = exports.SearchPlaceIndexForPositionSummary = exports.SearchForPositionResult = exports.Place = exports.TimeZone = exports.PlaceGeometry = exports.SearchPlaceIndexForPositionRequest = exports.UpdateMapResponse = exports.UpdateMapRequest = exports.ListTrackersResponse = exports.ListTrackersResponseEntry = exports.ListTrackersRequest = exports.ListTrackerConsumersResponse = exports.ListTrackerConsumersRequest = exports.ListRouteCalculatorsResponse = exports.ListRouteCalculatorsResponseEntry = exports.ListRouteCalculatorsRequest = exports.ListPlaceIndexesResponse = exports.ListPlaceIndexesResponseEntry = exports.ListPlaceIndexesRequest = exports.ListMapsResponse = exports.ListMapsResponseEntry = exports.ListMapsRequest = exports.ListDevicePositionsResponse = exports.ListDevicePositionsResponseEntry = exports.ListDevicePositionsRequest = exports.GetMapTileResponse = exports.GetMapTileRequest = exports.GetMapStyleDescriptorResponse = exports.GetMapStyleDescriptorRequest = exports.GetMapSpritesResponse = exports.GetMapSpritesRequest = exports.GetMapGlyphsResponse = exports.GetMapGlyphsRequest = exports.GetDevicePositionHistoryResponse = exports.GetDevicePositionHistoryRequest = exports.GetDevicePositionResponse = exports.GetDevicePositionRequest = exports.UpdateGeofenceCollectionResponse = exports.UpdateGeofenceCollectionRequest = void 0;
exports.UpdateTrackerResponse = exports.UpdateTrackerRequest = exports.UpdateRouteCalculatorResponse = exports.UpdateRouteCalculatorRequest = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const LocationServiceException_1 = require("./LocationServiceException");
class AccessDeniedException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
        this.Message = opts.Message;
    }
}
exports.AccessDeniedException = AccessDeniedException;
var AssociateTrackerConsumerRequest;
(function (AssociateTrackerConsumerRequest) {
    AssociateTrackerConsumerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTrackerConsumerRequest = exports.AssociateTrackerConsumerRequest || (exports.AssociateTrackerConsumerRequest = {}));
var AssociateTrackerConsumerResponse;
(function (AssociateTrackerConsumerResponse) {
    AssociateTrackerConsumerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTrackerConsumerResponse = exports.AssociateTrackerConsumerResponse || (exports.AssociateTrackerConsumerResponse = {}));
class ConflictException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.Message = opts.Message;
    }
}
exports.ConflictException = ConflictException;
class InternalServerException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        this.$retryable = {};
        Object.setPrototypeOf(this, InternalServerException.prototype);
        this.Message = opts.Message;
    }
}
exports.InternalServerException = InternalServerException;
class ResourceNotFoundException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceQuotaExceededException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ThrottlingException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        this.$retryable = {};
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.Message = opts.Message;
    }
}
exports.ThrottlingException = ThrottlingException;
var ValidationExceptionField;
(function (ValidationExceptionField) {
    ValidationExceptionField.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ValidationExceptionField = exports.ValidationExceptionField || (exports.ValidationExceptionField = {}));
class ValidationException extends LocationServiceException_1.LocationServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.Message = opts.Message;
        this.Reason = opts.Reason;
        this.FieldList = opts.FieldList;
    }
}
exports.ValidationException = ValidationException;
var BatchDeleteDevicePositionHistoryRequest;
(function (BatchDeleteDevicePositionHistoryRequest) {
    BatchDeleteDevicePositionHistoryRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteDevicePositionHistoryRequest = exports.BatchDeleteDevicePositionHistoryRequest || (exports.BatchDeleteDevicePositionHistoryRequest = {}));
var BatchItemError;
(function (BatchItemError) {
    BatchItemError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchItemError = exports.BatchItemError || (exports.BatchItemError = {}));
var BatchDeleteDevicePositionHistoryError;
(function (BatchDeleteDevicePositionHistoryError) {
    BatchDeleteDevicePositionHistoryError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteDevicePositionHistoryError = exports.BatchDeleteDevicePositionHistoryError || (exports.BatchDeleteDevicePositionHistoryError = {}));
var BatchDeleteDevicePositionHistoryResponse;
(function (BatchDeleteDevicePositionHistoryResponse) {
    BatchDeleteDevicePositionHistoryResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteDevicePositionHistoryResponse = exports.BatchDeleteDevicePositionHistoryResponse || (exports.BatchDeleteDevicePositionHistoryResponse = {}));
var BatchDeleteGeofenceRequest;
(function (BatchDeleteGeofenceRequest) {
    BatchDeleteGeofenceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteGeofenceRequest = exports.BatchDeleteGeofenceRequest || (exports.BatchDeleteGeofenceRequest = {}));
var BatchDeleteGeofenceError;
(function (BatchDeleteGeofenceError) {
    BatchDeleteGeofenceError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteGeofenceError = exports.BatchDeleteGeofenceError || (exports.BatchDeleteGeofenceError = {}));
var BatchDeleteGeofenceResponse;
(function (BatchDeleteGeofenceResponse) {
    BatchDeleteGeofenceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchDeleteGeofenceResponse = exports.BatchDeleteGeofenceResponse || (exports.BatchDeleteGeofenceResponse = {}));
var PositionalAccuracy;
(function (PositionalAccuracy) {
    PositionalAccuracy.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PositionalAccuracy = exports.PositionalAccuracy || (exports.PositionalAccuracy = {}));
var DevicePositionUpdate;
(function (DevicePositionUpdate) {
    DevicePositionUpdate.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.PositionProperties && { PositionProperties: smithy_client_1.SENSITIVE_STRING }),
    });
})(DevicePositionUpdate = exports.DevicePositionUpdate || (exports.DevicePositionUpdate = {}));
var BatchEvaluateGeofencesRequest;
(function (BatchEvaluateGeofencesRequest) {
    BatchEvaluateGeofencesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.DevicePositionUpdates && {
            DevicePositionUpdates: obj.DevicePositionUpdates.map((item) => DevicePositionUpdate.filterSensitiveLog(item)),
        }),
    });
})(BatchEvaluateGeofencesRequest = exports.BatchEvaluateGeofencesRequest || (exports.BatchEvaluateGeofencesRequest = {}));
var BatchEvaluateGeofencesError;
(function (BatchEvaluateGeofencesError) {
    BatchEvaluateGeofencesError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchEvaluateGeofencesError = exports.BatchEvaluateGeofencesError || (exports.BatchEvaluateGeofencesError = {}));
var BatchEvaluateGeofencesResponse;
(function (BatchEvaluateGeofencesResponse) {
    BatchEvaluateGeofencesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchEvaluateGeofencesResponse = exports.BatchEvaluateGeofencesResponse || (exports.BatchEvaluateGeofencesResponse = {}));
var BatchGetDevicePositionRequest;
(function (BatchGetDevicePositionRequest) {
    BatchGetDevicePositionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDevicePositionRequest = exports.BatchGetDevicePositionRequest || (exports.BatchGetDevicePositionRequest = {}));
var DevicePosition;
(function (DevicePosition) {
    DevicePosition.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.PositionProperties && { PositionProperties: smithy_client_1.SENSITIVE_STRING }),
    });
})(DevicePosition = exports.DevicePosition || (exports.DevicePosition = {}));
var BatchGetDevicePositionError;
(function (BatchGetDevicePositionError) {
    BatchGetDevicePositionError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchGetDevicePositionError = exports.BatchGetDevicePositionError || (exports.BatchGetDevicePositionError = {}));
var BatchGetDevicePositionResponse;
(function (BatchGetDevicePositionResponse) {
    BatchGetDevicePositionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.DevicePositions && {
            DevicePositions: obj.DevicePositions.map((item) => DevicePosition.filterSensitiveLog(item)),
        }),
    });
})(BatchGetDevicePositionResponse = exports.BatchGetDevicePositionResponse || (exports.BatchGetDevicePositionResponse = {}));
var GeofenceGeometry;
(function (GeofenceGeometry) {
    GeofenceGeometry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Polygon && { Polygon: obj.Polygon.map((item) => smithy_client_1.SENSITIVE_STRING) }),
    });
})(GeofenceGeometry = exports.GeofenceGeometry || (exports.GeofenceGeometry = {}));
var BatchPutGeofenceRequestEntry;
(function (BatchPutGeofenceRequestEntry) {
    BatchPutGeofenceRequestEntry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Geometry && { Geometry: GeofenceGeometry.filterSensitiveLog(obj.Geometry) }),
    });
})(BatchPutGeofenceRequestEntry = exports.BatchPutGeofenceRequestEntry || (exports.BatchPutGeofenceRequestEntry = {}));
var BatchPutGeofenceRequest;
(function (BatchPutGeofenceRequest) {
    BatchPutGeofenceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Entries && { Entries: obj.Entries.map((item) => BatchPutGeofenceRequestEntry.filterSensitiveLog(item)) }),
    });
})(BatchPutGeofenceRequest = exports.BatchPutGeofenceRequest || (exports.BatchPutGeofenceRequest = {}));
var BatchPutGeofenceError;
(function (BatchPutGeofenceError) {
    BatchPutGeofenceError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchPutGeofenceError = exports.BatchPutGeofenceError || (exports.BatchPutGeofenceError = {}));
var BatchPutGeofenceSuccess;
(function (BatchPutGeofenceSuccess) {
    BatchPutGeofenceSuccess.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchPutGeofenceSuccess = exports.BatchPutGeofenceSuccess || (exports.BatchPutGeofenceSuccess = {}));
var BatchPutGeofenceResponse;
(function (BatchPutGeofenceResponse) {
    BatchPutGeofenceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchPutGeofenceResponse = exports.BatchPutGeofenceResponse || (exports.BatchPutGeofenceResponse = {}));
var BatchUpdateDevicePositionRequest;
(function (BatchUpdateDevicePositionRequest) {
    BatchUpdateDevicePositionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Updates && { Updates: obj.Updates.map((item) => DevicePositionUpdate.filterSensitiveLog(item)) }),
    });
})(BatchUpdateDevicePositionRequest = exports.BatchUpdateDevicePositionRequest || (exports.BatchUpdateDevicePositionRequest = {}));
var BatchUpdateDevicePositionError;
(function (BatchUpdateDevicePositionError) {
    BatchUpdateDevicePositionError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchUpdateDevicePositionError = exports.BatchUpdateDevicePositionError || (exports.BatchUpdateDevicePositionError = {}));
var BatchUpdateDevicePositionResponse;
(function (BatchUpdateDevicePositionResponse) {
    BatchUpdateDevicePositionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(BatchUpdateDevicePositionResponse = exports.BatchUpdateDevicePositionResponse || (exports.BatchUpdateDevicePositionResponse = {}));
var CalculateRouteCarModeOptions;
(function (CalculateRouteCarModeOptions) {
    CalculateRouteCarModeOptions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CalculateRouteCarModeOptions = exports.CalculateRouteCarModeOptions || (exports.CalculateRouteCarModeOptions = {}));
var TruckDimensions;
(function (TruckDimensions) {
    TruckDimensions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TruckDimensions = exports.TruckDimensions || (exports.TruckDimensions = {}));
var TruckWeight;
(function (TruckWeight) {
    TruckWeight.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TruckWeight = exports.TruckWeight || (exports.TruckWeight = {}));
var CalculateRouteTruckModeOptions;
(function (CalculateRouteTruckModeOptions) {
    CalculateRouteTruckModeOptions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CalculateRouteTruckModeOptions = exports.CalculateRouteTruckModeOptions || (exports.CalculateRouteTruckModeOptions = {}));
var CalculateRouteRequest;
(function (CalculateRouteRequest) {
    CalculateRouteRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.DeparturePosition && { DeparturePosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.DestinationPosition && { DestinationPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.WaypointPositions && { WaypointPositions: smithy_client_1.SENSITIVE_STRING }),
    });
})(CalculateRouteRequest = exports.CalculateRouteRequest || (exports.CalculateRouteRequest = {}));
var LegGeometry;
(function (LegGeometry) {
    LegGeometry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.LineString && { LineString: smithy_client_1.SENSITIVE_STRING }),
    });
})(LegGeometry = exports.LegGeometry || (exports.LegGeometry = {}));
var Step;
(function (Step) {
    Step.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.StartPosition && { StartPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.EndPosition && { EndPosition: smithy_client_1.SENSITIVE_STRING }),
    });
})(Step = exports.Step || (exports.Step = {}));
var Leg;
(function (Leg) {
    Leg.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.StartPosition && { StartPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.EndPosition && { EndPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.Geometry && { Geometry: LegGeometry.filterSensitiveLog(obj.Geometry) }),
        ...(obj.Steps && { Steps: obj.Steps.map((item) => Step.filterSensitiveLog(item)) }),
    });
})(Leg = exports.Leg || (exports.Leg = {}));
var CalculateRouteSummary;
(function (CalculateRouteSummary) {
    CalculateRouteSummary.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.RouteBBox && { RouteBBox: smithy_client_1.SENSITIVE_STRING }),
    });
})(CalculateRouteSummary = exports.CalculateRouteSummary || (exports.CalculateRouteSummary = {}));
var CalculateRouteResponse;
(function (CalculateRouteResponse) {
    CalculateRouteResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Legs && { Legs: obj.Legs.map((item) => Leg.filterSensitiveLog(item)) }),
        ...(obj.Summary && { Summary: CalculateRouteSummary.filterSensitiveLog(obj.Summary) }),
    });
})(CalculateRouteResponse = exports.CalculateRouteResponse || (exports.CalculateRouteResponse = {}));
var CalculateRouteMatrixRequest;
(function (CalculateRouteMatrixRequest) {
    CalculateRouteMatrixRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.DeparturePositions && { DeparturePositions: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.DestinationPositions && { DestinationPositions: smithy_client_1.SENSITIVE_STRING }),
    });
})(CalculateRouteMatrixRequest = exports.CalculateRouteMatrixRequest || (exports.CalculateRouteMatrixRequest = {}));
var RouteMatrixEntryError;
(function (RouteMatrixEntryError) {
    RouteMatrixEntryError.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RouteMatrixEntryError = exports.RouteMatrixEntryError || (exports.RouteMatrixEntryError = {}));
var RouteMatrixEntry;
(function (RouteMatrixEntry) {
    RouteMatrixEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(RouteMatrixEntry = exports.RouteMatrixEntry || (exports.RouteMatrixEntry = {}));
var CalculateRouteMatrixSummary;
(function (CalculateRouteMatrixSummary) {
    CalculateRouteMatrixSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CalculateRouteMatrixSummary = exports.CalculateRouteMatrixSummary || (exports.CalculateRouteMatrixSummary = {}));
var CalculateRouteMatrixResponse;
(function (CalculateRouteMatrixResponse) {
    CalculateRouteMatrixResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.SnappedDeparturePositions && { SnappedDeparturePositions: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.SnappedDestinationPositions && { SnappedDestinationPositions: smithy_client_1.SENSITIVE_STRING }),
    });
})(CalculateRouteMatrixResponse = exports.CalculateRouteMatrixResponse || (exports.CalculateRouteMatrixResponse = {}));
var CreateGeofenceCollectionRequest;
(function (CreateGeofenceCollectionRequest) {
    CreateGeofenceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateGeofenceCollectionRequest = exports.CreateGeofenceCollectionRequest || (exports.CreateGeofenceCollectionRequest = {}));
var CreateGeofenceCollectionResponse;
(function (CreateGeofenceCollectionResponse) {
    CreateGeofenceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateGeofenceCollectionResponse = exports.CreateGeofenceCollectionResponse || (exports.CreateGeofenceCollectionResponse = {}));
var MapConfiguration;
(function (MapConfiguration) {
    MapConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(MapConfiguration = exports.MapConfiguration || (exports.MapConfiguration = {}));
var CreateMapRequest;
(function (CreateMapRequest) {
    CreateMapRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateMapRequest = exports.CreateMapRequest || (exports.CreateMapRequest = {}));
var CreateMapResponse;
(function (CreateMapResponse) {
    CreateMapResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateMapResponse = exports.CreateMapResponse || (exports.CreateMapResponse = {}));
var DataSourceConfiguration;
(function (DataSourceConfiguration) {
    DataSourceConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DataSourceConfiguration = exports.DataSourceConfiguration || (exports.DataSourceConfiguration = {}));
var CreatePlaceIndexRequest;
(function (CreatePlaceIndexRequest) {
    CreatePlaceIndexRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePlaceIndexRequest = exports.CreatePlaceIndexRequest || (exports.CreatePlaceIndexRequest = {}));
var CreatePlaceIndexResponse;
(function (CreatePlaceIndexResponse) {
    CreatePlaceIndexResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreatePlaceIndexResponse = exports.CreatePlaceIndexResponse || (exports.CreatePlaceIndexResponse = {}));
var CreateRouteCalculatorRequest;
(function (CreateRouteCalculatorRequest) {
    CreateRouteCalculatorRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateRouteCalculatorRequest = exports.CreateRouteCalculatorRequest || (exports.CreateRouteCalculatorRequest = {}));
var CreateRouteCalculatorResponse;
(function (CreateRouteCalculatorResponse) {
    CreateRouteCalculatorResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateRouteCalculatorResponse = exports.CreateRouteCalculatorResponse || (exports.CreateRouteCalculatorResponse = {}));
var CreateTrackerRequest;
(function (CreateTrackerRequest) {
    CreateTrackerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrackerRequest = exports.CreateTrackerRequest || (exports.CreateTrackerRequest = {}));
var CreateTrackerResponse;
(function (CreateTrackerResponse) {
    CreateTrackerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTrackerResponse = exports.CreateTrackerResponse || (exports.CreateTrackerResponse = {}));
var DeleteGeofenceCollectionRequest;
(function (DeleteGeofenceCollectionRequest) {
    DeleteGeofenceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteGeofenceCollectionRequest = exports.DeleteGeofenceCollectionRequest || (exports.DeleteGeofenceCollectionRequest = {}));
var DeleteGeofenceCollectionResponse;
(function (DeleteGeofenceCollectionResponse) {
    DeleteGeofenceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteGeofenceCollectionResponse = exports.DeleteGeofenceCollectionResponse || (exports.DeleteGeofenceCollectionResponse = {}));
var DeleteMapRequest;
(function (DeleteMapRequest) {
    DeleteMapRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteMapRequest = exports.DeleteMapRequest || (exports.DeleteMapRequest = {}));
var DeleteMapResponse;
(function (DeleteMapResponse) {
    DeleteMapResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteMapResponse = exports.DeleteMapResponse || (exports.DeleteMapResponse = {}));
var DeletePlaceIndexRequest;
(function (DeletePlaceIndexRequest) {
    DeletePlaceIndexRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePlaceIndexRequest = exports.DeletePlaceIndexRequest || (exports.DeletePlaceIndexRequest = {}));
var DeletePlaceIndexResponse;
(function (DeletePlaceIndexResponse) {
    DeletePlaceIndexResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeletePlaceIndexResponse = exports.DeletePlaceIndexResponse || (exports.DeletePlaceIndexResponse = {}));
var DeleteRouteCalculatorRequest;
(function (DeleteRouteCalculatorRequest) {
    DeleteRouteCalculatorRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteRouteCalculatorRequest = exports.DeleteRouteCalculatorRequest || (exports.DeleteRouteCalculatorRequest = {}));
var DeleteRouteCalculatorResponse;
(function (DeleteRouteCalculatorResponse) {
    DeleteRouteCalculatorResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteRouteCalculatorResponse = exports.DeleteRouteCalculatorResponse || (exports.DeleteRouteCalculatorResponse = {}));
var DeleteTrackerRequest;
(function (DeleteTrackerRequest) {
    DeleteTrackerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrackerRequest = exports.DeleteTrackerRequest || (exports.DeleteTrackerRequest = {}));
var DeleteTrackerResponse;
(function (DeleteTrackerResponse) {
    DeleteTrackerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTrackerResponse = exports.DeleteTrackerResponse || (exports.DeleteTrackerResponse = {}));
var DescribeGeofenceCollectionRequest;
(function (DescribeGeofenceCollectionRequest) {
    DescribeGeofenceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeGeofenceCollectionRequest = exports.DescribeGeofenceCollectionRequest || (exports.DescribeGeofenceCollectionRequest = {}));
var DescribeGeofenceCollectionResponse;
(function (DescribeGeofenceCollectionResponse) {
    DescribeGeofenceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeGeofenceCollectionResponse = exports.DescribeGeofenceCollectionResponse || (exports.DescribeGeofenceCollectionResponse = {}));
var DescribeMapRequest;
(function (DescribeMapRequest) {
    DescribeMapRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeMapRequest = exports.DescribeMapRequest || (exports.DescribeMapRequest = {}));
var DescribeMapResponse;
(function (DescribeMapResponse) {
    DescribeMapResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeMapResponse = exports.DescribeMapResponse || (exports.DescribeMapResponse = {}));
var DescribePlaceIndexRequest;
(function (DescribePlaceIndexRequest) {
    DescribePlaceIndexRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribePlaceIndexRequest = exports.DescribePlaceIndexRequest || (exports.DescribePlaceIndexRequest = {}));
var DescribePlaceIndexResponse;
(function (DescribePlaceIndexResponse) {
    DescribePlaceIndexResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribePlaceIndexResponse = exports.DescribePlaceIndexResponse || (exports.DescribePlaceIndexResponse = {}));
var DescribeRouteCalculatorRequest;
(function (DescribeRouteCalculatorRequest) {
    DescribeRouteCalculatorRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeRouteCalculatorRequest = exports.DescribeRouteCalculatorRequest || (exports.DescribeRouteCalculatorRequest = {}));
var DescribeRouteCalculatorResponse;
(function (DescribeRouteCalculatorResponse) {
    DescribeRouteCalculatorResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeRouteCalculatorResponse = exports.DescribeRouteCalculatorResponse || (exports.DescribeRouteCalculatorResponse = {}));
var DescribeTrackerRequest;
(function (DescribeTrackerRequest) {
    DescribeTrackerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTrackerRequest = exports.DescribeTrackerRequest || (exports.DescribeTrackerRequest = {}));
var DescribeTrackerResponse;
(function (DescribeTrackerResponse) {
    DescribeTrackerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTrackerResponse = exports.DescribeTrackerResponse || (exports.DescribeTrackerResponse = {}));
var DisassociateTrackerConsumerRequest;
(function (DisassociateTrackerConsumerRequest) {
    DisassociateTrackerConsumerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateTrackerConsumerRequest = exports.DisassociateTrackerConsumerRequest || (exports.DisassociateTrackerConsumerRequest = {}));
var DisassociateTrackerConsumerResponse;
(function (DisassociateTrackerConsumerResponse) {
    DisassociateTrackerConsumerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateTrackerConsumerResponse = exports.DisassociateTrackerConsumerResponse || (exports.DisassociateTrackerConsumerResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceResponse = exports.TagResourceResponse || (exports.TagResourceResponse = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceResponse = exports.UntagResourceResponse || (exports.UntagResourceResponse = {}));
var GetGeofenceRequest;
(function (GetGeofenceRequest) {
    GetGeofenceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetGeofenceRequest = exports.GetGeofenceRequest || (exports.GetGeofenceRequest = {}));
var GetGeofenceResponse;
(function (GetGeofenceResponse) {
    GetGeofenceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Geometry && { Geometry: GeofenceGeometry.filterSensitiveLog(obj.Geometry) }),
    });
})(GetGeofenceResponse = exports.GetGeofenceResponse || (exports.GetGeofenceResponse = {}));
var ListGeofenceCollectionsRequest;
(function (ListGeofenceCollectionsRequest) {
    ListGeofenceCollectionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGeofenceCollectionsRequest = exports.ListGeofenceCollectionsRequest || (exports.ListGeofenceCollectionsRequest = {}));
var ListGeofenceCollectionsResponseEntry;
(function (ListGeofenceCollectionsResponseEntry) {
    ListGeofenceCollectionsResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGeofenceCollectionsResponseEntry = exports.ListGeofenceCollectionsResponseEntry || (exports.ListGeofenceCollectionsResponseEntry = {}));
var ListGeofenceCollectionsResponse;
(function (ListGeofenceCollectionsResponse) {
    ListGeofenceCollectionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGeofenceCollectionsResponse = exports.ListGeofenceCollectionsResponse || (exports.ListGeofenceCollectionsResponse = {}));
var ListGeofencesRequest;
(function (ListGeofencesRequest) {
    ListGeofencesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListGeofencesRequest = exports.ListGeofencesRequest || (exports.ListGeofencesRequest = {}));
var ListGeofenceResponseEntry;
(function (ListGeofenceResponseEntry) {
    ListGeofenceResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Geometry && { Geometry: GeofenceGeometry.filterSensitiveLog(obj.Geometry) }),
    });
})(ListGeofenceResponseEntry = exports.ListGeofenceResponseEntry || (exports.ListGeofenceResponseEntry = {}));
var ListGeofencesResponse;
(function (ListGeofencesResponse) {
    ListGeofencesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Entries && { Entries: obj.Entries.map((item) => ListGeofenceResponseEntry.filterSensitiveLog(item)) }),
    });
})(ListGeofencesResponse = exports.ListGeofencesResponse || (exports.ListGeofencesResponse = {}));
var PutGeofenceRequest;
(function (PutGeofenceRequest) {
    PutGeofenceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Geometry && { Geometry: GeofenceGeometry.filterSensitiveLog(obj.Geometry) }),
    });
})(PutGeofenceRequest = exports.PutGeofenceRequest || (exports.PutGeofenceRequest = {}));
var PutGeofenceResponse;
(function (PutGeofenceResponse) {
    PutGeofenceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PutGeofenceResponse = exports.PutGeofenceResponse || (exports.PutGeofenceResponse = {}));
var UpdateGeofenceCollectionRequest;
(function (UpdateGeofenceCollectionRequest) {
    UpdateGeofenceCollectionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateGeofenceCollectionRequest = exports.UpdateGeofenceCollectionRequest || (exports.UpdateGeofenceCollectionRequest = {}));
var UpdateGeofenceCollectionResponse;
(function (UpdateGeofenceCollectionResponse) {
    UpdateGeofenceCollectionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateGeofenceCollectionResponse = exports.UpdateGeofenceCollectionResponse || (exports.UpdateGeofenceCollectionResponse = {}));
var GetDevicePositionRequest;
(function (GetDevicePositionRequest) {
    GetDevicePositionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDevicePositionRequest = exports.GetDevicePositionRequest || (exports.GetDevicePositionRequest = {}));
var GetDevicePositionResponse;
(function (GetDevicePositionResponse) {
    GetDevicePositionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.PositionProperties && { PositionProperties: smithy_client_1.SENSITIVE_STRING }),
    });
})(GetDevicePositionResponse = exports.GetDevicePositionResponse || (exports.GetDevicePositionResponse = {}));
var GetDevicePositionHistoryRequest;
(function (GetDevicePositionHistoryRequest) {
    GetDevicePositionHistoryRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetDevicePositionHistoryRequest = exports.GetDevicePositionHistoryRequest || (exports.GetDevicePositionHistoryRequest = {}));
var GetDevicePositionHistoryResponse;
(function (GetDevicePositionHistoryResponse) {
    GetDevicePositionHistoryResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.DevicePositions && {
            DevicePositions: obj.DevicePositions.map((item) => DevicePosition.filterSensitiveLog(item)),
        }),
    });
})(GetDevicePositionHistoryResponse = exports.GetDevicePositionHistoryResponse || (exports.GetDevicePositionHistoryResponse = {}));
var GetMapGlyphsRequest;
(function (GetMapGlyphsRequest) {
    GetMapGlyphsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapGlyphsRequest = exports.GetMapGlyphsRequest || (exports.GetMapGlyphsRequest = {}));
var GetMapGlyphsResponse;
(function (GetMapGlyphsResponse) {
    GetMapGlyphsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapGlyphsResponse = exports.GetMapGlyphsResponse || (exports.GetMapGlyphsResponse = {}));
var GetMapSpritesRequest;
(function (GetMapSpritesRequest) {
    GetMapSpritesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapSpritesRequest = exports.GetMapSpritesRequest || (exports.GetMapSpritesRequest = {}));
var GetMapSpritesResponse;
(function (GetMapSpritesResponse) {
    GetMapSpritesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapSpritesResponse = exports.GetMapSpritesResponse || (exports.GetMapSpritesResponse = {}));
var GetMapStyleDescriptorRequest;
(function (GetMapStyleDescriptorRequest) {
    GetMapStyleDescriptorRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapStyleDescriptorRequest = exports.GetMapStyleDescriptorRequest || (exports.GetMapStyleDescriptorRequest = {}));
var GetMapStyleDescriptorResponse;
(function (GetMapStyleDescriptorResponse) {
    GetMapStyleDescriptorResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapStyleDescriptorResponse = exports.GetMapStyleDescriptorResponse || (exports.GetMapStyleDescriptorResponse = {}));
var GetMapTileRequest;
(function (GetMapTileRequest) {
    GetMapTileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapTileRequest = exports.GetMapTileRequest || (exports.GetMapTileRequest = {}));
var GetMapTileResponse;
(function (GetMapTileResponse) {
    GetMapTileResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(GetMapTileResponse = exports.GetMapTileResponse || (exports.GetMapTileResponse = {}));
var ListDevicePositionsRequest;
(function (ListDevicePositionsRequest) {
    ListDevicePositionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListDevicePositionsRequest = exports.ListDevicePositionsRequest || (exports.ListDevicePositionsRequest = {}));
var ListDevicePositionsResponseEntry;
(function (ListDevicePositionsResponseEntry) {
    ListDevicePositionsResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.PositionProperties && { PositionProperties: smithy_client_1.SENSITIVE_STRING }),
    });
})(ListDevicePositionsResponseEntry = exports.ListDevicePositionsResponseEntry || (exports.ListDevicePositionsResponseEntry = {}));
var ListDevicePositionsResponse;
(function (ListDevicePositionsResponse) {
    ListDevicePositionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Entries && {
            Entries: obj.Entries.map((item) => ListDevicePositionsResponseEntry.filterSensitiveLog(item)),
        }),
    });
})(ListDevicePositionsResponse = exports.ListDevicePositionsResponse || (exports.ListDevicePositionsResponse = {}));
var ListMapsRequest;
(function (ListMapsRequest) {
    ListMapsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListMapsRequest = exports.ListMapsRequest || (exports.ListMapsRequest = {}));
var ListMapsResponseEntry;
(function (ListMapsResponseEntry) {
    ListMapsResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListMapsResponseEntry = exports.ListMapsResponseEntry || (exports.ListMapsResponseEntry = {}));
var ListMapsResponse;
(function (ListMapsResponse) {
    ListMapsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListMapsResponse = exports.ListMapsResponse || (exports.ListMapsResponse = {}));
var ListPlaceIndexesRequest;
(function (ListPlaceIndexesRequest) {
    ListPlaceIndexesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPlaceIndexesRequest = exports.ListPlaceIndexesRequest || (exports.ListPlaceIndexesRequest = {}));
var ListPlaceIndexesResponseEntry;
(function (ListPlaceIndexesResponseEntry) {
    ListPlaceIndexesResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPlaceIndexesResponseEntry = exports.ListPlaceIndexesResponseEntry || (exports.ListPlaceIndexesResponseEntry = {}));
var ListPlaceIndexesResponse;
(function (ListPlaceIndexesResponse) {
    ListPlaceIndexesResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListPlaceIndexesResponse = exports.ListPlaceIndexesResponse || (exports.ListPlaceIndexesResponse = {}));
var ListRouteCalculatorsRequest;
(function (ListRouteCalculatorsRequest) {
    ListRouteCalculatorsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListRouteCalculatorsRequest = exports.ListRouteCalculatorsRequest || (exports.ListRouteCalculatorsRequest = {}));
var ListRouteCalculatorsResponseEntry;
(function (ListRouteCalculatorsResponseEntry) {
    ListRouteCalculatorsResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListRouteCalculatorsResponseEntry = exports.ListRouteCalculatorsResponseEntry || (exports.ListRouteCalculatorsResponseEntry = {}));
var ListRouteCalculatorsResponse;
(function (ListRouteCalculatorsResponse) {
    ListRouteCalculatorsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListRouteCalculatorsResponse = exports.ListRouteCalculatorsResponse || (exports.ListRouteCalculatorsResponse = {}));
var ListTrackerConsumersRequest;
(function (ListTrackerConsumersRequest) {
    ListTrackerConsumersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrackerConsumersRequest = exports.ListTrackerConsumersRequest || (exports.ListTrackerConsumersRequest = {}));
var ListTrackerConsumersResponse;
(function (ListTrackerConsumersResponse) {
    ListTrackerConsumersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrackerConsumersResponse = exports.ListTrackerConsumersResponse || (exports.ListTrackerConsumersResponse = {}));
var ListTrackersRequest;
(function (ListTrackersRequest) {
    ListTrackersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrackersRequest = exports.ListTrackersRequest || (exports.ListTrackersRequest = {}));
var ListTrackersResponseEntry;
(function (ListTrackersResponseEntry) {
    ListTrackersResponseEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrackersResponseEntry = exports.ListTrackersResponseEntry || (exports.ListTrackersResponseEntry = {}));
var ListTrackersResponse;
(function (ListTrackersResponse) {
    ListTrackersResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTrackersResponse = exports.ListTrackersResponse || (exports.ListTrackersResponse = {}));
var UpdateMapRequest;
(function (UpdateMapRequest) {
    UpdateMapRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMapRequest = exports.UpdateMapRequest || (exports.UpdateMapRequest = {}));
var UpdateMapResponse;
(function (UpdateMapResponse) {
    UpdateMapResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateMapResponse = exports.UpdateMapResponse || (exports.UpdateMapResponse = {}));
var SearchPlaceIndexForPositionRequest;
(function (SearchPlaceIndexForPositionRequest) {
    SearchPlaceIndexForPositionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForPositionRequest = exports.SearchPlaceIndexForPositionRequest || (exports.SearchPlaceIndexForPositionRequest = {}));
var PlaceGeometry;
(function (PlaceGeometry) {
    PlaceGeometry.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Point && { Point: smithy_client_1.SENSITIVE_STRING }),
    });
})(PlaceGeometry = exports.PlaceGeometry || (exports.PlaceGeometry = {}));
var TimeZone;
(function (TimeZone) {
    TimeZone.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TimeZone = exports.TimeZone || (exports.TimeZone = {}));
var Place;
(function (Place) {
    Place.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Geometry && { Geometry: PlaceGeometry.filterSensitiveLog(obj.Geometry) }),
    });
})(Place = exports.Place || (exports.Place = {}));
var SearchForPositionResult;
(function (SearchForPositionResult) {
    SearchForPositionResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Place && { Place: Place.filterSensitiveLog(obj.Place) }),
    });
})(SearchForPositionResult = exports.SearchForPositionResult || (exports.SearchForPositionResult = {}));
var SearchPlaceIndexForPositionSummary;
(function (SearchPlaceIndexForPositionSummary) {
    SearchPlaceIndexForPositionSummary.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Position && { Position: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForPositionSummary = exports.SearchPlaceIndexForPositionSummary || (exports.SearchPlaceIndexForPositionSummary = {}));
var SearchPlaceIndexForPositionResponse;
(function (SearchPlaceIndexForPositionResponse) {
    SearchPlaceIndexForPositionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Summary && { Summary: SearchPlaceIndexForPositionSummary.filterSensitiveLog(obj.Summary) }),
        ...(obj.Results && { Results: obj.Results.map((item) => SearchForPositionResult.filterSensitiveLog(item)) }),
    });
})(SearchPlaceIndexForPositionResponse = exports.SearchPlaceIndexForPositionResponse || (exports.SearchPlaceIndexForPositionResponse = {}));
var SearchPlaceIndexForSuggestionsRequest;
(function (SearchPlaceIndexForSuggestionsRequest) {
    SearchPlaceIndexForSuggestionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Text && { Text: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.BiasPosition && { BiasPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.FilterBBox && { FilterBBox: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForSuggestionsRequest = exports.SearchPlaceIndexForSuggestionsRequest || (exports.SearchPlaceIndexForSuggestionsRequest = {}));
var SearchForSuggestionsResult;
(function (SearchForSuggestionsResult) {
    SearchForSuggestionsResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SearchForSuggestionsResult = exports.SearchForSuggestionsResult || (exports.SearchForSuggestionsResult = {}));
var SearchPlaceIndexForSuggestionsSummary;
(function (SearchPlaceIndexForSuggestionsSummary) {
    SearchPlaceIndexForSuggestionsSummary.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Text && { Text: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.BiasPosition && { BiasPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.FilterBBox && { FilterBBox: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForSuggestionsSummary = exports.SearchPlaceIndexForSuggestionsSummary || (exports.SearchPlaceIndexForSuggestionsSummary = {}));
var SearchPlaceIndexForSuggestionsResponse;
(function (SearchPlaceIndexForSuggestionsResponse) {
    SearchPlaceIndexForSuggestionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Summary && { Summary: SearchPlaceIndexForSuggestionsSummary.filterSensitiveLog(obj.Summary) }),
    });
})(SearchPlaceIndexForSuggestionsResponse = exports.SearchPlaceIndexForSuggestionsResponse || (exports.SearchPlaceIndexForSuggestionsResponse = {}));
var SearchPlaceIndexForTextRequest;
(function (SearchPlaceIndexForTextRequest) {
    SearchPlaceIndexForTextRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Text && { Text: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.BiasPosition && { BiasPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.FilterBBox && { FilterBBox: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForTextRequest = exports.SearchPlaceIndexForTextRequest || (exports.SearchPlaceIndexForTextRequest = {}));
var SearchForTextResult;
(function (SearchForTextResult) {
    SearchForTextResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Place && { Place: Place.filterSensitiveLog(obj.Place) }),
    });
})(SearchForTextResult = exports.SearchForTextResult || (exports.SearchForTextResult = {}));
var SearchPlaceIndexForTextSummary;
(function (SearchPlaceIndexForTextSummary) {
    SearchPlaceIndexForTextSummary.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Text && { Text: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.BiasPosition && { BiasPosition: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.FilterBBox && { FilterBBox: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.ResultBBox && { ResultBBox: smithy_client_1.SENSITIVE_STRING }),
    });
})(SearchPlaceIndexForTextSummary = exports.SearchPlaceIndexForTextSummary || (exports.SearchPlaceIndexForTextSummary = {}));
var SearchPlaceIndexForTextResponse;
(function (SearchPlaceIndexForTextResponse) {
    SearchPlaceIndexForTextResponse.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Summary && { Summary: SearchPlaceIndexForTextSummary.filterSensitiveLog(obj.Summary) }),
        ...(obj.Results && { Results: obj.Results.map((item) => SearchForTextResult.filterSensitiveLog(item)) }),
    });
})(SearchPlaceIndexForTextResponse = exports.SearchPlaceIndexForTextResponse || (exports.SearchPlaceIndexForTextResponse = {}));
var UpdatePlaceIndexRequest;
(function (UpdatePlaceIndexRequest) {
    UpdatePlaceIndexRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePlaceIndexRequest = exports.UpdatePlaceIndexRequest || (exports.UpdatePlaceIndexRequest = {}));
var UpdatePlaceIndexResponse;
(function (UpdatePlaceIndexResponse) {
    UpdatePlaceIndexResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdatePlaceIndexResponse = exports.UpdatePlaceIndexResponse || (exports.UpdatePlaceIndexResponse = {}));
var UpdateRouteCalculatorRequest;
(function (UpdateRouteCalculatorRequest) {
    UpdateRouteCalculatorRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateRouteCalculatorRequest = exports.UpdateRouteCalculatorRequest || (exports.UpdateRouteCalculatorRequest = {}));
var UpdateRouteCalculatorResponse;
(function (UpdateRouteCalculatorResponse) {
    UpdateRouteCalculatorResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateRouteCalculatorResponse = exports.UpdateRouteCalculatorResponse || (exports.UpdateRouteCalculatorResponse = {}));
var UpdateTrackerRequest;
(function (UpdateTrackerRequest) {
    UpdateTrackerRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrackerRequest = exports.UpdateTrackerRequest || (exports.UpdateTrackerRequest = {}));
var UpdateTrackerResponse;
(function (UpdateTrackerResponse) {
    UpdateTrackerResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTrackerResponse = exports.UpdateTrackerResponse || (exports.UpdateTrackerResponse = {}));
