import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { AssociateTrackerConsumerRequest, AssociateTrackerConsumerResponse } from "../models/models_0";
export interface AssociateTrackerConsumerCommandInput extends AssociateTrackerConsumerRequest {
}
export interface AssociateTrackerConsumerCommandOutput extends AssociateTrackerConsumerResponse, __MetadataBearer {
}

export declare class AssociateTrackerConsumerCommand extends $Command<AssociateTrackerConsumerCommandInput, AssociateTrackerConsumerCommandOutput, LocationClientResolvedConfig> {
    readonly input: AssociateTrackerConsumerCommandInput;
    constructor(input: AssociateTrackerConsumerCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateTrackerConsumerCommandInput, AssociateTrackerConsumerCommandOutput>;
    private serialize;
    private deserialize;
}
