import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { BatchPutGeofenceRequest, BatchPutGeofenceResponse } from "../models/models_0";
export interface BatchPutGeofenceCommandInput extends BatchPutGeofenceRequest {
}
export interface BatchPutGeofenceCommandOutput extends BatchPutGeofenceResponse, __MetadataBearer {
}

export declare class BatchPutGeofenceCommand extends $Command<BatchPutGeofenceCommandInput, BatchPutGeofenceCommandOutput, LocationClientResolvedConfig> {
    readonly input: BatchPutGeofenceCommandInput;
    constructor(input: BatchPutGeofenceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchPutGeofenceCommandInput, BatchPutGeofenceCommandOutput>;
    private serialize;
    private deserialize;
}
