import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { CalculateRouteMatrixRequest, CalculateRouteMatrixResponse } from "../models/models_0";
export interface CalculateRouteMatrixCommandInput extends CalculateRouteMatrixRequest {
}
export interface CalculateRouteMatrixCommandOutput extends CalculateRouteMatrixResponse, __MetadataBearer {
}

export declare class CalculateRouteMatrixCommand extends $Command<CalculateRouteMatrixCommandInput, CalculateRouteMatrixCommandOutput, LocationClientResolvedConfig> {
    readonly input: CalculateRouteMatrixCommandInput;
    constructor(input: CalculateRouteMatrixCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CalculateRouteMatrixCommandInput, CalculateRouteMatrixCommandOutput>;
    private serialize;
    private deserialize;
}
