import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { DeleteGeofenceCollectionRequest, DeleteGeofenceCollectionResponse } from "../models/models_0";
export interface DeleteGeofenceCollectionCommandInput extends DeleteGeofenceCollectionRequest {
}
export interface DeleteGeofenceCollectionCommandOutput extends DeleteGeofenceCollectionResponse, __MetadataBearer {
}

export declare class DeleteGeofenceCollectionCommand extends $Command<DeleteGeofenceCollectionCommandInput, DeleteGeofenceCollectionCommandOutput, LocationClientResolvedConfig> {
    readonly input: DeleteGeofenceCollectionCommandInput;
    constructor(input: DeleteGeofenceCollectionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteGeofenceCollectionCommandInput, DeleteGeofenceCollectionCommandOutput>;
    private serialize;
    private deserialize;
}
