import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { DeleteMapRequest, DeleteMapResponse } from "../models/models_0";
export interface DeleteMapCommandInput extends DeleteMapRequest {
}
export interface DeleteMapCommandOutput extends DeleteMapResponse, __MetadataBearer {
}

export declare class DeleteMapCommand extends $Command<DeleteMapCommandInput, DeleteMapCommandOutput, LocationClientResolvedConfig> {
    readonly input: DeleteMapCommandInput;
    constructor(input: DeleteMapCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteMapCommandInput, DeleteMapCommandOutput>;
    private serialize;
    private deserialize;
}
