import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { DeleteTrackerRequest, DeleteTrackerResponse } from "../models/models_0";
export interface DeleteTrackerCommandInput extends DeleteTrackerRequest {
}
export interface DeleteTrackerCommandOutput extends DeleteTrackerResponse, __MetadataBearer {
}

export declare class DeleteTrackerCommand extends $Command<DeleteTrackerCommandInput, DeleteTrackerCommandOutput, LocationClientResolvedConfig> {
    readonly input: DeleteTrackerCommandInput;
    constructor(input: DeleteTrackerCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteTrackerCommandInput, DeleteTrackerCommandOutput>;
    private serialize;
    private deserialize;
}
