import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { DisassociateTrackerConsumerRequest, DisassociateTrackerConsumerResponse } from "../models/models_0";
export interface DisassociateTrackerConsumerCommandInput extends DisassociateTrackerConsumerRequest {
}
export interface DisassociateTrackerConsumerCommandOutput extends DisassociateTrackerConsumerResponse, __MetadataBearer {
}

export declare class DisassociateTrackerConsumerCommand extends $Command<DisassociateTrackerConsumerCommandInput, DisassociateTrackerConsumerCommandOutput, LocationClientResolvedConfig> {
    readonly input: DisassociateTrackerConsumerCommandInput;
    constructor(input: DisassociateTrackerConsumerCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DisassociateTrackerConsumerCommandInput, DisassociateTrackerConsumerCommandOutput>;
    private serialize;
    private deserialize;
}
