import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { GetDevicePositionRequest, GetDevicePositionResponse } from "../models/models_0";
export interface GetDevicePositionCommandInput extends GetDevicePositionRequest {
}
export interface GetDevicePositionCommandOutput extends GetDevicePositionResponse, __MetadataBearer {
}

export declare class GetDevicePositionCommand extends $Command<GetDevicePositionCommandInput, GetDevicePositionCommandOutput, LocationClientResolvedConfig> {
    readonly input: GetDevicePositionCommandInput;
    constructor(input: GetDevicePositionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetDevicePositionCommandInput, GetDevicePositionCommandOutput>;
    private serialize;
    private deserialize;
}
