import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { GetGeofenceRequest, GetGeofenceResponse } from "../models/models_0";
export interface GetGeofenceCommandInput extends GetGeofenceRequest {
}
export interface GetGeofenceCommandOutput extends GetGeofenceResponse, __MetadataBearer {
}

export declare class GetGeofenceCommand extends $Command<GetGeofenceCommandInput, GetGeofenceCommandOutput, LocationClientResolvedConfig> {
    readonly input: GetGeofenceCommandInput;
    constructor(input: GetGeofenceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetGeofenceCommandInput, GetGeofenceCommandOutput>;
    private serialize;
    private deserialize;
}
