import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { GetMapSpritesRequest, GetMapSpritesResponse } from "../models/models_0";
export interface GetMapSpritesCommandInput extends GetMapSpritesRequest {
}
export interface GetMapSpritesCommandOutput extends GetMapSpritesResponse, __MetadataBearer {
}

export declare class GetMapSpritesCommand extends $Command<GetMapSpritesCommandInput, GetMapSpritesCommandOutput, LocationClientResolvedConfig> {
    readonly input: GetMapSpritesCommandInput;
    constructor(input: GetMapSpritesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetMapSpritesCommandInput, GetMapSpritesCommandOutput>;
    private serialize;
    private deserialize;
}
