import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { GetMapStyleDescriptorRequest, GetMapStyleDescriptorResponse } from "../models/models_0";
export interface GetMapStyleDescriptorCommandInput extends GetMapStyleDescriptorRequest {
}
export interface GetMapStyleDescriptorCommandOutput extends GetMapStyleDescriptorResponse, __MetadataBearer {
}

export declare class GetMapStyleDescriptorCommand extends $Command<GetMapStyleDescriptorCommandInput, GetMapStyleDescriptorCommandOutput, LocationClientResolvedConfig> {
    readonly input: GetMapStyleDescriptorCommandInput;
    constructor(input: GetMapStyleDescriptorCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetMapStyleDescriptorCommandInput, GetMapStyleDescriptorCommandOutput>;
    private serialize;
    private deserialize;
}
