import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { GetMapTileRequest, GetMapTileResponse } from "../models/models_0";
export interface GetMapTileCommandInput extends GetMapTileRequest {
}
export interface GetMapTileCommandOutput extends GetMapTileResponse, __MetadataBearer {
}

export declare class GetMapTileCommand extends $Command<GetMapTileCommandInput, GetMapTileCommandOutput, LocationClientResolvedConfig> {
    readonly input: GetMapTileCommandInput;
    constructor(input: GetMapTileCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetMapTileCommandInput, GetMapTileCommandOutput>;
    private serialize;
    private deserialize;
}
