import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListDevicePositionsRequest, ListDevicePositionsResponse } from "../models/models_0";
export interface ListDevicePositionsCommandInput extends ListDevicePositionsRequest {
}
export interface ListDevicePositionsCommandOutput extends ListDevicePositionsResponse, __MetadataBearer {
}

export declare class ListDevicePositionsCommand extends $Command<ListDevicePositionsCommandInput, ListDevicePositionsCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListDevicePositionsCommandInput;
    constructor(input: ListDevicePositionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListDevicePositionsCommandInput, ListDevicePositionsCommandOutput>;
    private serialize;
    private deserialize;
}
