import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListGeofencesRequest, ListGeofencesResponse } from "../models/models_0";
export interface ListGeofencesCommandInput extends ListGeofencesRequest {
}
export interface ListGeofencesCommandOutput extends ListGeofencesResponse, __MetadataBearer {
}

export declare class ListGeofencesCommand extends $Command<ListGeofencesCommandInput, ListGeofencesCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListGeofencesCommandInput;
    constructor(input: ListGeofencesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListGeofencesCommandInput, ListGeofencesCommandOutput>;
    private serialize;
    private deserialize;
}
