import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListMapsRequest, ListMapsResponse } from "../models/models_0";
export interface ListMapsCommandInput extends ListMapsRequest {
}
export interface ListMapsCommandOutput extends ListMapsResponse, __MetadataBearer {
}

export declare class ListMapsCommand extends $Command<ListMapsCommandInput, ListMapsCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListMapsCommandInput;
    constructor(input: ListMapsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListMapsCommandInput, ListMapsCommandOutput>;
    private serialize;
    private deserialize;
}
