import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListPlaceIndexesRequest, ListPlaceIndexesResponse } from "../models/models_0";
export interface ListPlaceIndexesCommandInput extends ListPlaceIndexesRequest {
}
export interface ListPlaceIndexesCommandOutput extends ListPlaceIndexesResponse, __MetadataBearer {
}

export declare class ListPlaceIndexesCommand extends $Command<ListPlaceIndexesCommandInput, ListPlaceIndexesCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListPlaceIndexesCommandInput;
    constructor(input: ListPlaceIndexesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListPlaceIndexesCommandInput, ListPlaceIndexesCommandOutput>;
    private serialize;
    private deserialize;
}
