import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListRouteCalculatorsRequest, ListRouteCalculatorsResponse } from "../models/models_0";
export interface ListRouteCalculatorsCommandInput extends ListRouteCalculatorsRequest {
}
export interface ListRouteCalculatorsCommandOutput extends ListRouteCalculatorsResponse, __MetadataBearer {
}

export declare class ListRouteCalculatorsCommand extends $Command<ListRouteCalculatorsCommandInput, ListRouteCalculatorsCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListRouteCalculatorsCommandInput;
    constructor(input: ListRouteCalculatorsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListRouteCalculatorsCommandInput, ListRouteCalculatorsCommandOutput>;
    private serialize;
    private deserialize;
}
