import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListTrackerConsumersRequest, ListTrackerConsumersResponse } from "../models/models_0";
export interface ListTrackerConsumersCommandInput extends ListTrackerConsumersRequest {
}
export interface ListTrackerConsumersCommandOutput extends ListTrackerConsumersResponse, __MetadataBearer {
}

export declare class ListTrackerConsumersCommand extends $Command<ListTrackerConsumersCommandInput, ListTrackerConsumersCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListTrackerConsumersCommandInput;
    constructor(input: ListTrackerConsumersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTrackerConsumersCommandInput, ListTrackerConsumersCommandOutput>;
    private serialize;
    private deserialize;
}
