import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { ListTrackersRequest, ListTrackersResponse } from "../models/models_0";
export interface ListTrackersCommandInput extends ListTrackersRequest {
}
export interface ListTrackersCommandOutput extends ListTrackersResponse, __MetadataBearer {
}

export declare class ListTrackersCommand extends $Command<ListTrackersCommandInput, ListTrackersCommandOutput, LocationClientResolvedConfig> {
    readonly input: ListTrackersCommandInput;
    constructor(input: ListTrackersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTrackersCommandInput, ListTrackersCommandOutput>;
    private serialize;
    private deserialize;
}
