import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { UpdateGeofenceCollectionRequest, UpdateGeofenceCollectionResponse } from "../models/models_0";
export interface UpdateGeofenceCollectionCommandInput extends UpdateGeofenceCollectionRequest {
}
export interface UpdateGeofenceCollectionCommandOutput extends UpdateGeofenceCollectionResponse, __MetadataBearer {
}

export declare class UpdateGeofenceCollectionCommand extends $Command<UpdateGeofenceCollectionCommandInput, UpdateGeofenceCollectionCommandOutput, LocationClientResolvedConfig> {
    readonly input: UpdateGeofenceCollectionCommandInput;
    constructor(input: UpdateGeofenceCollectionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateGeofenceCollectionCommandInput, UpdateGeofenceCollectionCommandOutput>;
    private serialize;
    private deserialize;
}
