import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { UpdateMapRequest, UpdateMapResponse } from "../models/models_0";
export interface UpdateMapCommandInput extends UpdateMapRequest {
}
export interface UpdateMapCommandOutput extends UpdateMapResponse, __MetadataBearer {
}

export declare class UpdateMapCommand extends $Command<UpdateMapCommandInput, UpdateMapCommandOutput, LocationClientResolvedConfig> {
    readonly input: UpdateMapCommandInput;
    constructor(input: UpdateMapCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateMapCommandInput, UpdateMapCommandOutput>;
    private serialize;
    private deserialize;
}
