import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { UpdatePlaceIndexRequest, UpdatePlaceIndexResponse } from "../models/models_0";
export interface UpdatePlaceIndexCommandInput extends UpdatePlaceIndexRequest {
}
export interface UpdatePlaceIndexCommandOutput extends UpdatePlaceIndexResponse, __MetadataBearer {
}

export declare class UpdatePlaceIndexCommand extends $Command<UpdatePlaceIndexCommandInput, UpdatePlaceIndexCommandOutput, LocationClientResolvedConfig> {
    readonly input: UpdatePlaceIndexCommandInput;
    constructor(input: UpdatePlaceIndexCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdatePlaceIndexCommandInput, UpdatePlaceIndexCommandOutput>;
    private serialize;
    private deserialize;
}
