import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { UpdateRouteCalculatorRequest, UpdateRouteCalculatorResponse } from "../models/models_0";
export interface UpdateRouteCalculatorCommandInput extends UpdateRouteCalculatorRequest {
}
export interface UpdateRouteCalculatorCommandOutput extends UpdateRouteCalculatorResponse, __MetadataBearer {
}

export declare class UpdateRouteCalculatorCommand extends $Command<UpdateRouteCalculatorCommandInput, UpdateRouteCalculatorCommandOutput, LocationClientResolvedConfig> {
    readonly input: UpdateRouteCalculatorCommandInput;
    constructor(input: UpdateRouteCalculatorCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateRouteCalculatorCommandInput, UpdateRouteCalculatorCommandOutput>;
    private serialize;
    private deserialize;
}
