import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { LocationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../LocationClient";
import { UpdateTrackerRequest, UpdateTrackerResponse } from "../models/models_0";
export interface UpdateTrackerCommandInput extends UpdateTrackerRequest {
}
export interface UpdateTrackerCommandOutput extends UpdateTrackerResponse, __MetadataBearer {
}

export declare class UpdateTrackerCommand extends $Command<UpdateTrackerCommandInput, UpdateTrackerCommandOutput, LocationClientResolvedConfig> {
    readonly input: UpdateTrackerCommandInput;
    constructor(input: UpdateTrackerCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: LocationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTrackerCommandInput, UpdateTrackerCommandOutput>;
    private serialize;
    private deserialize;
}
